GET
id?stringFilter by trade identifier.
maker_address?stringReturn trades matching this maker address.
market?stringFilter by condition (market) identifier.
asset_id?stringFilter by token identifier.
before?stringUnix timestamp; include trades strictly before this instant.
after?stringUnix timestamp; include trades strictly after this instant.
next_cursor?stringBase64-encoded offset for pagination. Use MA== to start; LTE= means no more pages.
Trades matching the supplied filters.
application/json- response
data*array<>next_cursor*stringlimit*integerPage size used for the query.
count*integerNumber of items returned in this page.
curl -X GET 'https://clob.kuest.com/builder/trades'{ "data": [ { "id": "string", "taker_order_id": "string", "market": "string", "asset_id": "string", "side": "string", "size": "string", "fee_rate_bps": "string", "price": "string", "status": "MATCHED", "match_time": "2019-08-24T14:15:22Z", "last_update": "2019-08-24T14:15:22Z", "outcome": "string", "maker_address": "string", "owner": "string", "transaction_hash": "string", "bucket_index": 0, "maker_orders": [ { "order_id": "string", "maker_address": "string", "owner": "string", "matched_amount": "string", "fee_rate_bps": "string", "price": "string", "asset_id": "string", "outcome": "string", "side": "string" } ], "type": "TAKER" } ], "next_cursor": "string", "limit": 0, "count": 0}